org.apache.cassandra.db.commitlog

## Class ReplayPosition.ReplayPositionSerializer

- java.lang.Object
- - org.apache.cassandra.db.commitlog.ReplayPosition.ReplayPositionSerializer

All Implemented Interfaces:
  ISerializer<ReplayPosition>

Enclosing class:
  ReplayPosition

    public static class ReplayPosition.ReplayPositionSerializer
    extends java.lang.Object
    implements ISerializer<ReplayPosition>

### Constructor Summary

Constructors
Constructor and Description
`ReplayPositionSerializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ReplayPosition` `deserialize(java.io.DataInput in)` Deserialize from the specified DataInput instance.
`void` `serialize(ReplayPosition rp, DataOutputPlus out)` Serialize the specified type into the specified DataOutput instance.
`long` `serializedSize(ReplayPosition rp, TypeSizes typeSizes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReplayPositionSerializer

    public ReplayPositionSerializer()

### Method Detail

#### serialize

    public void serialize(ReplayPosition rp,
                          DataOutputPlus out)
                   throws java.io.IOException

Description copied from interface: `ISerializer`
Serialize the specified type into the specified DataOutput instance.

Specified by:
  `serialize` in interface `ISerializer<ReplayPosition>`
Parameters:
  `rp` - type that needs to be serialized
  `out` - DataOutput into which serialization needs to happen.
Throws:
  `java.io.IOException`

#### deserialize

    public ReplayPosition deserialize(java.io.DataInput in)
                               throws java.io.IOException

Description copied from interface: `ISerializer`
Deserialize from the specified DataInput instance.

Specified by:
  `deserialize` in interface `ISerializer<ReplayPosition>`
Parameters:
  `in` - DataInput from which deserialization needs to happen.
Returns:
  the type that was deserialized
Throws:
  `java.io.IOException`

#### serializedSize

    public long serializedSize(ReplayPosition rp,
                               TypeSizes typeSizes)

Specified by:
  `serializedSize` in interface `ISerializer<ReplayPosition>`